using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication332
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            int m = int.Parse(s[1]);
            int p = (n - 2) / 2;
            int br =0;
            if ((n * m) % 2 != 0) br = (n * m) - (p * 1 + (p + 1) * 2);
            else br = n * m - (p * 1 + p * 2);
            Console.WriteLine(br);
            Console.Read();
        }
    }
}